## org.eclipse.jst.jsf.designtime.symbols
Class SymbolUtil

    java.lang.Object
      org.eclipse.jst.jsf.designtime.symbols.SymbolUtil

    public final class SymbolUtil

extends java.lang.Object

Utilities for symbol handling

Method Summary
`static ISymbol[]` `filterSymbolsByPrefix(ISymbol[] allSymbols, java.lang.String prefix)`
`static ISymbol` `findSymbolByName(ISymbol[] symbols, java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findSymbolByName

    public static ISymbol findSymbolByName(ISymbol[] symbols,
                                           java.lang.String name)

  Parameters:
    `symbols` -
    `name` -
  Returns:
    the symbol in symbols matching name or null if not there

### filterSymbolsByPrefix

    public static ISymbol[] filterSymbolsByPrefix(ISymbol[] allSymbols,
                                                  java.lang.String prefix)

  Parameters:
    `allSymbols` -
    `prefix` -
  Returns:
    an array of symbols filtered based on name.startsWith(prefix)